summaryrefslogtreecommitdiffstats
path: root/config
diff options
context:
space:
mode:
authorintrigeri <intrigeri@boum.org>2016-05-31 15:35:37 +0000
committerintrigeri <intrigeri@boum.org>2016-05-31 15:35:37 +0000
commitfedfa8d95d1b09b7bf80e9d1f1c32ed6fd46b7eb (patch)
tree590391fc40e37d92398fc48271109a49409f7016 /config
parente3742bf39b4e9cb72ddfa0e45c67f298352c1a5e (diff)
Disable system-config-printer's applet.
We only want system-config-printer because it provides a D-Bus service that GNOME printer configuration needs, but we don't want it to interfere any further.
Diffstat (limited to 'config')
-rwxr-xr-xconfig/chroot_local-hooks/57-disable-system-config-printer-applet8
1 files changed, 8 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/57-disable-system-config-printer-applet b/config/chroot_local-hooks/57-disable-system-config-printer-applet
new file mode 100755
index 0000000..c8e69ba
--- /dev/null
+++ b/config/chroot_local-hooks/57-disable-system-config-printer-applet
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+echo "Disabling system-config-printer applet"
+
+echo "X-GNOME-Autostart-enabled=false" \
+ >> /etc/xdg/autostart/print-applet.desktop